POST
/api/v1/gpu-monitoringConfigure GPU monitoring alerts
Sets thresholds for GPU-utilization / memory / queue-depth alerts.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.
Request body required
Example
{
"projectId": "string",
"metrics": [
{}
]
}Schema
{
"application/json": {
"schema": {
"type": "object",
"properties": {
"projectId": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"metrics": {
"minItems": 1,
"maxItems": 1000,
"type": "array",
"items": {
"type": "object",
"additionalProperties": {}
}
}
},
"required": [
"projectId",
"metrics"
],
"additionalProperties": {}
}
}
}Response
200 example
{
"success": true
}All status codes
200Configured.
400(no description)
401(no description)
403Forbidden — insufficient role for this operation.
429(no description)
Code samples
cURL
curl -X POST \
https://evalguard.ai/api/v1/gpu-monitoring \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "projectId": "string", "metrics": [ {} ] }'TypeScript
import { EvalGuard } from "@evalguard/sdk";
const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });
const response = await client.request({
method: "POST",
path: "/api/v1/gpu-monitoring",
body: {
"projectId": "string",
"metrics": [
{}
]
},
});
console.log(response);Python
from evalguard import EvalGuard
import os
client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])
response = client.request(
method="POST",
path="/api/v1/gpu-monitoring",
body={
"projectId": "string",
"metrics": [
{}
]
},
)
print(response)Go
package main
import (
"context"
"fmt"
"net/http"
"os"
"strings"
)
func main() {
body := strings.NewReader(`{"projectId":"string","metrics":[{}]}`)
req, _ := http.NewRequestWithContext(context.Background(), "POST", "https://evalguard.ai/api/v1/gpu-monitoring", body)
req.Header.Set("Authorization", "Bearer "+os.Getenv("EVALGUARD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer resp.Body.Close()
fmt.Println(resp.Status)
}Errors
400401403429